Index: uspace/lib/fdisk/src/fdisk.c
===================================================================
--- uspace/lib/fdisk/src/fdisk.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/fdisk/src/fdisk.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,14 +46,14 @@
 #include <vol.h>
 
-static errno_t fdisk_dev_add_parts(fdisk_dev_t *);
+static int fdisk_dev_add_parts(fdisk_dev_t *);
 static void fdisk_dev_remove_parts(fdisk_dev_t *);
-static errno_t fdisk_part_spec_prepare(fdisk_dev_t *, fdisk_part_spec_t *,
+static int fdisk_part_spec_prepare(fdisk_dev_t *, fdisk_part_spec_t *,
     vbd_part_spec_t *);
 static void fdisk_pri_part_insert_lists(fdisk_dev_t *, fdisk_part_t *);
 static void fdisk_log_part_insert_lists(fdisk_dev_t *, fdisk_part_t *);
-static errno_t fdisk_update_dev_info(fdisk_dev_t *);
+static int fdisk_update_dev_info(fdisk_dev_t *);
 static uint64_t fdisk_ba_align_up(fdisk_dev_t *, uint64_t);
 static uint64_t fdisk_ba_align_down(fdisk_dev_t *, uint64_t);
-static errno_t fdisk_part_get_max_free_range(fdisk_dev_t *, fdisk_spc_t, aoff64_t *,
+static int fdisk_part_get_max_free_range(fdisk_dev_t *, fdisk_spc_t, aoff64_t *,
     aoff64_t *);
 static void fdisk_free_range_first(fdisk_dev_t *, fdisk_spc_t, fdisk_free_range_t *);
@@ -70,8 +70,8 @@
 }
 
-errno_t fdisk_create(fdisk_t **rfdisk)
+int fdisk_create(fdisk_t **rfdisk)
 {
 	fdisk_t *fdisk = NULL;
-	errno_t rc;
+	int rc;
 
 	fdisk = calloc(1, sizeof(fdisk_t));
@@ -111,5 +111,5 @@
 }
 
-errno_t fdisk_dev_list_get(fdisk_t *fdisk, fdisk_dev_list_t **rdevlist)
+int fdisk_dev_list_get(fdisk_t *fdisk, fdisk_dev_list_t **rdevlist)
 {
 	fdisk_dev_list_t *devlist = NULL;
@@ -117,5 +117,5 @@
 	service_id_t *svcs = NULL;
 	size_t count, i;
-	errno_t rc;
+	int rc;
 
 	devlist = calloc(1, sizeof(fdisk_dev_list_t));
@@ -199,8 +199,8 @@
 }
 
-errno_t fdisk_dev_info_get_svcname(fdisk_dev_info_t *info, char **rname)
+int fdisk_dev_info_get_svcname(fdisk_dev_info_t *info, char **rname)
 {
 	char *name;
-	errno_t rc;
+	int rc;
 
 	if (info->svcname == NULL) {
@@ -219,8 +219,8 @@
 }
 
-errno_t fdisk_dev_info_capacity(fdisk_dev_info_t *info, cap_spec_t *cap)
+int fdisk_dev_info_capacity(fdisk_dev_info_t *info, cap_spec_t *cap)
 {
 	vbd_disk_info_t vinfo;
-	errno_t rc;
+	int rc;
 
 	rc = vbd_disk_info(info->devlist->fdisk->vbd, info->svcid, &vinfo);
@@ -233,5 +233,5 @@
 
 /** Add partition to our inventory. */
-static errno_t fdisk_part_add(fdisk_dev_t *dev, vbd_part_id_t partid,
+static int fdisk_part_add(fdisk_dev_t *dev, vbd_part_id_t partid,
     fdisk_part_t **rpart)
 {
@@ -239,5 +239,5 @@
 	vbd_part_info_t pinfo;
 	vol_part_info_t vpinfo;
-	errno_t rc;
+	int rc;
 
 	part = calloc(1, sizeof(fdisk_part_t));
@@ -381,9 +381,9 @@
 }
 
-static errno_t fdisk_dev_add_parts(fdisk_dev_t *dev)
+static int fdisk_dev_add_parts(fdisk_dev_t *dev)
 {
 	service_id_t *psids = NULL;
 	size_t nparts, i;
-	errno_t rc;
+	int rc;
 
 	rc = fdisk_update_dev_info(dev);
@@ -424,10 +424,10 @@
 }
 
-errno_t fdisk_dev_open(fdisk_t *fdisk, service_id_t sid, fdisk_dev_t **rdev)
+int fdisk_dev_open(fdisk_t *fdisk, service_id_t sid, fdisk_dev_t **rdev)
 {
 	fdisk_dev_t *dev = NULL;
 	service_id_t *psids = NULL;
 	size_t nparts, i;
-	errno_t rc;
+	int rc;
 
 	dev = calloc(1, sizeof(fdisk_dev_t));
@@ -479,8 +479,8 @@
 
 /** Erase contents of unlabeled disk. */
-errno_t fdisk_dev_erase(fdisk_dev_t *dev)
+int fdisk_dev_erase(fdisk_dev_t *dev)
 {
 	fdisk_part_t *part;
-	errno_t rc;
+	int rc;
 
 	if (dev->dinfo.ltype != lt_none)
@@ -523,8 +523,8 @@
 }
 
-errno_t fdisk_dev_get_svcname(fdisk_dev_t *dev, char **rname)
+int fdisk_dev_get_svcname(fdisk_dev_t *dev, char **rname)
 {
 	char *name;
-	errno_t rc;
+	int rc;
 
 	rc = loc_service_get_name(dev->sid, &name);
@@ -536,5 +536,5 @@
 }
 
-errno_t fdisk_dev_capacity(fdisk_dev_t *dev, cap_spec_t *cap)
+int fdisk_dev_capacity(fdisk_dev_t *dev, cap_spec_t *cap)
 {
 	cap_from_blocks(dev->dinfo.nblocks, dev->dinfo.block_size, cap);
@@ -542,10 +542,10 @@
 }
 
-errno_t fdisk_label_get_info(fdisk_dev_t *dev, fdisk_label_info_t *info)
+int fdisk_label_get_info(fdisk_dev_t *dev, fdisk_label_info_t *info)
 {
 	vbd_disk_info_t vinfo;
 	uint64_t b0, nb;
 	uint64_t hdrb;
-	errno_t rc;
+	int rc;
 
 	rc = vbd_disk_info(dev->fdisk->vbd, dev->sid, &vinfo);
@@ -580,8 +580,8 @@
 }
 
-errno_t fdisk_label_create(fdisk_dev_t *dev, label_type_t ltype)
+int fdisk_label_create(fdisk_dev_t *dev, label_type_t ltype)
 {
 	fdisk_part_t *part;
-	errno_t rc;
+	int rc;
 
 	/* Disk must not contain a label. */
@@ -612,9 +612,9 @@
 }
 
-errno_t fdisk_label_destroy(fdisk_dev_t *dev)
+int fdisk_label_destroy(fdisk_dev_t *dev)
 {
 	fdisk_part_t *part;
 	fdisk_dev_flags_t dflags;
-	errno_t rc;
+	int rc;
 
 	part = fdisk_part_first(dev);
@@ -667,5 +667,5 @@
 }
 
-errno_t fdisk_part_get_info(fdisk_part_t *part, fdisk_part_info_t *info)
+int fdisk_part_get_info(fdisk_part_t *part, fdisk_part_info_t *info)
 {
 	info->capacity = part->capacity;
@@ -678,7 +678,7 @@
 
 /** Get size of largest free block. */
-errno_t fdisk_part_get_max_avail(fdisk_dev_t *dev, fdisk_spc_t spc, cap_spec_t *cap)
-{
-	errno_t rc;
+int fdisk_part_get_max_avail(fdisk_dev_t *dev, fdisk_spc_t spc, cap_spec_t *cap)
+{
+	int rc;
 	uint64_t b0;
 	uint64_t nb;
@@ -702,5 +702,5 @@
 
 /** Get total free space capacity. */
-errno_t fdisk_part_get_tot_avail(fdisk_dev_t *dev, fdisk_spc_t spc,
+int fdisk_part_get_tot_avail(fdisk_dev_t *dev, fdisk_spc_t spc,
     cap_spec_t *cap)
 {
@@ -729,5 +729,5 @@
 }
 
-errno_t fdisk_part_create(fdisk_dev_t *dev, fdisk_part_spec_t *pspec,
+int fdisk_part_create(fdisk_dev_t *dev, fdisk_part_spec_t *pspec,
     fdisk_part_t **rpart)
 {
@@ -737,5 +737,5 @@
 	vol_part_info_t vpinfo;
 	const char *label;
-	errno_t rc;
+	int rc;
 
 	label = pspec->label != NULL ? pspec->label : "";
@@ -796,7 +796,7 @@
 }
 
-errno_t fdisk_part_destroy(fdisk_part_t *part)
-{
-	errno_t rc;
+int fdisk_part_destroy(fdisk_part_t *part)
+{
+	int rc;
 
 	rc = vbd_part_delete(part->dev->fdisk->vbd, part->part_id);
@@ -813,5 +813,5 @@
 }
 
-errno_t fdisk_ltype_format(label_type_t ltype, char **rstr)
+int fdisk_ltype_format(label_type_t ltype, char **rstr)
 {
 	const char *sltype;
@@ -839,5 +839,5 @@
 }
 
-errno_t fdisk_fstype_format(vol_fstype_t fstype, char **rstr)
+int fdisk_fstype_format(vol_fstype_t fstype, char **rstr)
 {
 	const char *sfstype;
@@ -871,5 +871,5 @@
 }
 
-errno_t fdisk_pkind_format(label_pkind_t pkind, char **rstr)
+int fdisk_pkind_format(label_pkind_t pkind, char **rstr)
 {
 	const char *spkind;
@@ -898,5 +898,5 @@
 
 /** Get free partition index. */
-static errno_t fdisk_part_get_free_idx(fdisk_dev_t *dev, int *rindex)
+static int fdisk_part_get_free_idx(fdisk_dev_t *dev, int *rindex)
 {
 	link_t *link;
@@ -926,5 +926,5 @@
  * Get free range of blocks of at least the specified size (first fit).
  */
-static errno_t fdisk_part_get_free_range(fdisk_dev_t *dev, aoff64_t nblocks,
+static int fdisk_part_get_free_range(fdisk_dev_t *dev, aoff64_t nblocks,
     fdisk_spc_t spc, aoff64_t *rblock0, aoff64_t *rnblocks)
 {
@@ -952,5 +952,5 @@
  * Get free range of blocks of the maximum size.
  */
-static errno_t fdisk_part_get_max_free_range(fdisk_dev_t *dev, fdisk_spc_t spc,
+static int fdisk_part_get_max_free_range(fdisk_dev_t *dev, fdisk_spc_t spc,
     aoff64_t *rblock0, aoff64_t *rnblocks)
 {
@@ -981,5 +981,5 @@
 
 /** Prepare new partition specification for VBD. */
-static errno_t fdisk_part_spec_prepare(fdisk_dev_t *dev, fdisk_part_spec_t *pspec,
+static int fdisk_part_spec_prepare(fdisk_dev_t *dev, fdisk_part_spec_t *pspec,
     vbd_part_spec_t *vpspec)
 {
@@ -994,5 +994,5 @@
 	fdisk_spc_t spc;
 	int index;
-	errno_t rc;
+	int rc;
 
 	rc = cap_to_blocks(&pspec->capacity, cv_nom, dev->dinfo.block_size,
@@ -1103,7 +1103,7 @@
 }
 
-static errno_t fdisk_update_dev_info(fdisk_dev_t *dev)
-{
-	errno_t rc;
+static int fdisk_update_dev_info(fdisk_dev_t *dev)
+{
+	int rc;
 	size_t align_bytes;
 	uint64_t avail_cap;
@@ -1223,5 +1223,5 @@
 
 /** Get volume label support. */
-errno_t fdisk_get_vollabel_support(fdisk_dev_t *dev, vol_fstype_t fstype,
+int fdisk_get_vollabel_support(fdisk_dev_t *dev, vol_fstype_t fstype,
     vol_label_supp_t *vlsupp)
 {
Index: uspace/lib/fmtutil/fmtutil.c
===================================================================
--- uspace/lib/fmtutil/fmtutil.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/fmtutil/fmtutil.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -31,5 +31,4 @@
 #include <fmtutil.h>
 #include <stdlib.h>
-#include <str.h>
 
 typedef struct {
@@ -39,5 +38,5 @@
 } printmode_t;
 
-errno_t print_wrapped_console(const char *str, align_mode_t alignment)
+int print_wrapped_console(const char *str, align_mode_t alignment)
 {
 	console_ctrl_t *console = console_init(stdin, stdout);
@@ -47,5 +46,5 @@
 	}
 	sysarg_t con_rows, con_cols, con_col, con_row;
-	errno_t rc = console_get_size(console, &con_cols, &con_rows);
+	int rc = console_get_size(console, &con_cols, &con_rows);
 	if (rc != EOK) {
 		return rc;
@@ -64,15 +63,15 @@
  *
  **/
-static errno_t print_line(wchar_t *wstr, size_t chars, bool last, void *data)
+static int print_line(wchar_t *wstr, size_t chars, bool last, void *data)
 {
 	printmode_t *pm = (printmode_t *) data;
 	wchar_t old_char = wstr[chars];
 	wstr[chars] = 0;
-	errno_t rc = print_aligned_w(wstr, pm->width, last, pm->alignment);
+	int rc = print_aligned_w(wstr, pm->width, last, pm->alignment);
 	wstr[chars] = old_char;
 	return rc;
 }
 
-errno_t print_wrapped(const char *str, size_t width, align_mode_t mode)
+int print_wrapped(const char *str, size_t width, align_mode_t mode)
 {
 	printmode_t pm;
@@ -84,10 +83,10 @@
 		return ENOMEM;
 	}
-	errno_t rc = wrap(wstr, width, print_line, &pm);
+	int rc = wrap(wstr, width, print_line, &pm);
 	free(wstr);
 	return rc;
 }
 
-errno_t print_aligned_w(const wchar_t *wstr, size_t width, bool last,
+int print_aligned_w(const wchar_t *wstr, size_t width, bool last,
     align_mode_t mode)
 {
@@ -170,5 +169,5 @@
 	return EOK;
 }
-errno_t print_aligned(const char *str, size_t width, bool last, align_mode_t mode)
+int print_aligned(const char *str, size_t width, bool last, align_mode_t mode)
 {
 	wchar_t *wstr = str_to_awstr(str);
@@ -176,10 +175,10 @@
 		return ENOMEM;
 	}
-	errno_t rc = print_aligned_w(wstr, width, last, mode);
+	int rc = print_aligned_w(wstr, width, last, mode);
 	free(wstr);
 	return rc;
 }
 
-errno_t wrap(wchar_t *wstr, size_t width, line_consumer_fn consumer, void *data)
+int wrap(wchar_t *wstr, size_t width, line_consumer_fn consumer, void *data)
 {
 	size_t word_start = 0;
Index: uspace/lib/fmtutil/fmtutil.h
===================================================================
--- uspace/lib/fmtutil/fmtutil.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/fmtutil/fmtutil.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,12 +42,12 @@
  * @param data user data
  * 
- * @returns EOK on success or an error code on failure
+ * @returns EOK on success or error code on failure
  */
-typedef errno_t (*line_consumer_fn)(wchar_t *, size_t, bool, void *);
+typedef int (*line_consumer_fn)(wchar_t *, size_t, bool, void *);
 
-extern errno_t print_aligned_w(const wchar_t *, size_t, bool, align_mode_t);
-extern errno_t print_aligned(const char *, size_t, bool, align_mode_t);
-extern errno_t print_wrapped(const char *, size_t, align_mode_t);
-extern errno_t print_wrapped_console(const char *, align_mode_t);
+extern int print_aligned_w(const wchar_t *, size_t, bool, align_mode_t);
+extern int print_aligned(const char *, size_t, bool, align_mode_t);
+extern int print_wrapped(const char *, size_t, align_mode_t);
+extern int print_wrapped_console(const char *, align_mode_t);
 
 /** Wrap characters in a wide string to the given length.
@@ -58,3 +58,3 @@
  * @param data user data to pass to the consumer function
  */
-extern errno_t wrap(wchar_t *, size_t, line_consumer_fn, void *);
+extern int wrap(wchar_t *, size_t, line_consumer_fn, void *);
Index: uspace/lib/fs/libfs.c
===================================================================
--- uspace/lib/fs/libfs.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/fs/libfs.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -84,5 +84,5 @@
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
-	errno_t rc;
+	int rc;
 	vfs_fs_probe_info_t info;
 	
@@ -112,5 +112,5 @@
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
 	char *opts;
-	errno_t rc;
+	int rc;
 	
 	/* Accept the mount options. */
@@ -136,5 +136,5 @@
 {
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
-	errno_t rc; 
+	int rc; 
 
 	rc = vfs_out_ops->unmounted(service_id);
@@ -160,5 +160,5 @@
 	    IPC_GET_ARG4(*req));
 	size_t rbytes;
-	errno_t rc;
+	int rc;
 
 	rc = vfs_out_ops->read(service_id, index, pos, &rbytes);
@@ -178,5 +178,5 @@
 	size_t wbytes;
 	aoff64_t nsize;
-	errno_t rc;
+	int rc;
 
 	rc = vfs_out_ops->write(service_id, index, pos, &wbytes, &nsize);
@@ -195,5 +195,5 @@
 	aoff64_t size = (aoff64_t) MERGE_LOUP32(IPC_GET_ARG3(*req),
 	    IPC_GET_ARG4(*req));
-	errno_t rc;
+	int rc;
 
 	rc = vfs_out_ops->truncate(service_id, index, size);
@@ -206,5 +206,5 @@
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*req);
-	errno_t rc;
+	int rc;
 
 	rc = vfs_out_ops->close(service_id, index);
@@ -218,5 +218,5 @@
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*req);
 
-	errno_t rc;
+	int rc;
 	fs_node_t *node = NULL;
 	rc = libfs_ops->node_get(&node, service_id, index);
@@ -244,5 +244,5 @@
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*req);
-	errno_t rc;
+	int rc;
 
 	rc = vfs_out_ops->sync(service_id, index);
@@ -260,5 +260,5 @@
 	service_id_t service_id = (service_id_t) IPC_GET_ARG1(*req);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*req);
-	errno_t rc;
+	int rc;
 
 	fs_node_t *node = NULL;
@@ -364,5 +364,5 @@
  *
  */
-errno_t fs_register(async_sess_t *sess, vfs_info_t *info, vfs_out_ops_t *vops,
+int fs_register(async_sess_t *sess, vfs_info_t *info, vfs_out_ops_t *vops,
     libfs_ops_t *lops)
 {
@@ -381,5 +381,5 @@
 	 * Send our VFS info structure to VFS.
 	 */
-	errno_t rc = async_data_write_start(exch, info, sizeof(*info));
+	int rc = async_data_write_start(exch, info, sizeof(*info));
 	
 	if (rc != EOK) {
@@ -446,5 +446,5 @@
 }
 
-static errno_t plb_get_component(char *dest, unsigned *sz, unsigned *ppos,
+static int plb_get_component(char *dest, unsigned *sz, unsigned *ppos,
     unsigned last)
 {
@@ -476,5 +476,5 @@
 }
 
-static errno_t receive_fname(char *buffer)
+static int receive_fname(char *buffer)
 {
 	size_t size;
@@ -500,5 +500,5 @@
 	
 	char component[NAME_MAX + 1];
-	errno_t rc = receive_fname(component);
+	int rc = receive_fname(component);
 	if (rc != EOK) {
 		async_answer_0(rid, rc);
@@ -555,5 +555,5 @@
 	
 	char component[NAME_MAX + 1];
-	errno_t rc;
+	int rc;
 	
 	fs_node_t *par = NULL;
@@ -656,5 +656,5 @@
 		if (rc == EOK) {
 			aoff64_t size = ops->size_get(cur);
-			async_answer_5(rid, EOK, fs_handle,
+			async_answer_5(rid, fs_handle, service_id,
 			    ops->index_get(cur),
 			    (ops->is_directory(cur) << 16) | last,
@@ -699,5 +699,5 @@
 out1:
 	if (!cur) {
-		async_answer_5(rid, EOK, fs_handle, ops->index_get(par),
+		async_answer_5(rid, fs_handle, service_id, ops->index_get(par),
 		    (ops->is_directory(par) << 16) | last_next,
 		    LOWER32(ops->size_get(par)), UPPER32(ops->size_get(par)));
@@ -705,5 +705,5 @@
 	}
 	
-	async_answer_5(rid, EOK, fs_handle, ops->index_get(cur),
+	async_answer_5(rid, fs_handle, service_id, ops->index_get(cur),
 	    (ops->is_directory(cur) << 16) | last, LOWER32(ops->size_get(cur)),
 	    UPPER32(ops->size_get(cur)));
@@ -727,5 +727,5 @@
 
 	fs_node_t *fn;
-	errno_t rc = ops->node_get(&fn, service_id, index);
+	int rc = ops->node_get(&fn, service_id, index);
 	on_error(rc, answer_and_return(rid, rc));
 
@@ -733,5 +733,5 @@
 	size_t size;
 	if ((!async_data_read_receive(&callid, &size)) ||
-	    (size != sizeof(vfs_stat_t))) {
+	    (size != sizeof(struct stat))) {
 		ops->node_put(fn);
 		async_answer_0(callid, EINVAL);
@@ -740,6 +740,6 @@
 	}
 
-	vfs_stat_t stat;
-	memset(&stat, 0, sizeof(vfs_stat_t));
+	struct stat stat;
+	memset(&stat, 0, sizeof(struct stat));
 
 	stat.fs_handle = fs_handle;
@@ -755,5 +755,5 @@
 
 
-	async_data_read_finalize(callid, &stat, sizeof(vfs_stat_t));
+	async_data_read_finalize(callid, &stat, sizeof(struct stat));
 	async_answer_0(rid, EOK);
 }
@@ -766,5 +766,5 @@
 
 	fs_node_t *fn;
-	errno_t rc = ops->node_get(&fn, service_id, index);
+	int rc = ops->node_get(&fn, service_id, index);
 	on_error(rc, answer_and_return(rid, rc));
 
@@ -772,10 +772,10 @@
 	size_t size;
 	if ((!async_data_read_receive(&callid, &size)) ||
-	    (size != sizeof(vfs_statfs_t))) {
+	    (size != sizeof(struct statfs))) {
 		goto error;
 	}
 
-	vfs_statfs_t st;
-	memset(&st, 0, sizeof(vfs_statfs_t));
+	struct statfs st;
+	memset(&st, 0, sizeof(struct statfs));
 
 	str_cpy(st.fs_name, sizeof(st.fs_name), fs_name);
@@ -800,5 +800,5 @@
 
 	ops->node_put(fn);
-	async_data_read_finalize(callid, &st, sizeof(vfs_statfs_t));
+	async_data_read_finalize(callid, &st, sizeof(struct statfs));
 	async_answer_0(rid, EOK);
 	return;
@@ -826,5 +826,5 @@
 	
 	fs_node_t *fn;
-	errno_t rc = ops->node_get(&fn, service_id, index);
+	int rc = ops->node_get(&fn, service_id, index);
 	on_error(rc, answer_and_return(rid, rc));
 	
@@ -853,5 +853,5 @@
 } fs_instance_t;
 
-errno_t fs_instance_create(service_id_t service_id, void *data)
+int fs_instance_create(service_id_t service_id, void *data)
 {
 	fs_instance_t *inst = malloc(sizeof(fs_instance_t));
@@ -884,5 +884,5 @@
 }
 
-errno_t fs_instance_get(service_id_t service_id, void **idp)
+int fs_instance_get(service_id_t service_id, void **idp)
 {
 	fibril_mutex_lock(&instances_mutex);
@@ -898,5 +898,5 @@
 }
 
-errno_t fs_instance_destroy(service_id_t service_id)
+int fs_instance_destroy(service_id_t service_id)
 {
 	fibril_mutex_lock(&instances_mutex);
Index: uspace/lib/fs/libfs.h
===================================================================
--- uspace/lib/fs/libfs.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/fs/libfs.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,14 +43,14 @@
 
 typedef struct {
-	errno_t (*fsprobe)(service_id_t, vfs_fs_probe_info_t *);
-	errno_t (*mounted)(service_id_t, const char *, fs_index_t *, aoff64_t *);
-	errno_t (*unmounted)(service_id_t);
-	errno_t (*read)(service_id_t, fs_index_t, aoff64_t, size_t *);
-	errno_t (*write)(service_id_t, fs_index_t, aoff64_t, size_t *,
+	int (* fsprobe)(service_id_t, vfs_fs_probe_info_t *);
+	int (* mounted)(service_id_t, const char *, fs_index_t *, aoff64_t *);
+	int (* unmounted)(service_id_t);
+	int (* read)(service_id_t, fs_index_t, aoff64_t, size_t *);
+	int (* write)(service_id_t, fs_index_t, aoff64_t, size_t *,
 	    aoff64_t *);
-	errno_t (*truncate)(service_id_t, fs_index_t, aoff64_t);
-	errno_t (*close)(service_id_t, fs_index_t);
-	errno_t (*destroy)(service_id_t, fs_index_t);
-	errno_t (*sync)(service_id_t, fs_index_t);
+	int (* truncate)(service_id_t, fs_index_t, aoff64_t);
+	int (* close)(service_id_t, fs_index_t);
+	int (* destroy)(service_id_t, fs_index_t);
+	int (* sync)(service_id_t, fs_index_t);
 } vfs_out_ops_t;
 
@@ -65,27 +65,27 @@
 	 * argument holds the output argument.
 	 */
-	errno_t (*root_get)(fs_node_t **, service_id_t);
-	errno_t (*match)(fs_node_t **, fs_node_t *, const char *);
-	errno_t (*node_get)(fs_node_t **, service_id_t, fs_index_t);
-	errno_t (*node_open)(fs_node_t *);
-	errno_t (*node_put)(fs_node_t *);
-	errno_t (*create)(fs_node_t **, service_id_t, int);
-	errno_t (*destroy)(fs_node_t *);
-	errno_t (*link)(fs_node_t *, fs_node_t *, const char *);
-	errno_t (*unlink)(fs_node_t *, fs_node_t *, const char *);
-	errno_t (*has_children)(bool *, fs_node_t *);
+	int (* root_get)(fs_node_t **, service_id_t);
+	int (* match)(fs_node_t **, fs_node_t *, const char *);
+	int (* node_get)(fs_node_t **, service_id_t, fs_index_t);
+	int (* node_open)(fs_node_t *);
+	int (* node_put)(fs_node_t *);
+	int (* create)(fs_node_t **, service_id_t, int);
+	int (* destroy)(fs_node_t *);
+	int (* link)(fs_node_t *, fs_node_t *, const char *);
+	int (* unlink)(fs_node_t *, fs_node_t *, const char *);
+	int (* has_children)(bool *, fs_node_t *);
 	/*
 	 * The second set of methods are usually mere getters that do not
 	 * return an integer error code.
 	 */
-	fs_index_t (*index_get)(fs_node_t *);
-	aoff64_t (*size_get)(fs_node_t *);
-	unsigned int (*lnkcnt_get)(fs_node_t *);
-	bool (*is_directory)(fs_node_t *);
-	bool (*is_file)(fs_node_t *);
-	service_id_t (*service_get)(fs_node_t *);
-	errno_t (*size_block)(service_id_t, uint32_t *);
-	errno_t (*total_block_count)(service_id_t, uint64_t *);
-	errno_t (*free_block_count)(service_id_t, uint64_t *);
+	fs_index_t (* index_get)(fs_node_t *);
+	aoff64_t (* size_get)(fs_node_t *);
+	unsigned int (* lnkcnt_get)(fs_node_t *);
+	bool (* is_directory)(fs_node_t *);
+	bool (* is_file)(fs_node_t *);
+	service_id_t (* service_get)(fs_node_t *);
+	int (* size_block)(service_id_t, uint32_t *);
+	int (* total_block_count)(service_id_t, uint64_t *);
+	int (* free_block_count)(service_id_t, uint64_t *);
 } libfs_ops_t;
 
@@ -95,12 +95,12 @@
 } fs_reg_t;
 
-extern errno_t fs_register(async_sess_t *, vfs_info_t *, vfs_out_ops_t *,
+extern int fs_register(async_sess_t *, vfs_info_t *, vfs_out_ops_t *,
     libfs_ops_t *);
 
 extern void fs_node_initialize(fs_node_t *);
 
-extern errno_t fs_instance_create(service_id_t, void *);
-extern errno_t fs_instance_get(service_id_t, void **);
-extern errno_t fs_instance_destroy(service_id_t);
+extern int fs_instance_create(service_id_t, void *);
+extern int fs_instance_get(service_id_t, void **);
+extern int fs_instance_destroy(service_id_t);
 
 #endif
Index: uspace/lib/graph/graph.c
===================================================================
--- uspace/lib/graph/graph.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/graph/graph.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -86,5 +86,5 @@
 }
 
-errno_t graph_register_visualizer(visualizer_t *vs)
+int graph_register_visualizer(visualizer_t *vs)
 {
 	char node[LOC_NAME_MAXLEN + 1];
@@ -93,5 +93,5 @@
 	
 	category_id_t cat;
-	errno_t rc = loc_category_get_id("visualizer", &cat, 0);
+	int rc = loc_category_get_id("visualizer", &cat, 0);
 	if (rc != EOK)
 		return rc;
@@ -114,5 +114,5 @@
 }
 
-errno_t graph_register_renderer(renderer_t *rnd)
+int graph_register_renderer(renderer_t *rnd)
 {
 	char node[LOC_NAME_MAXLEN + 1];
@@ -121,5 +121,5 @@
 	
 	category_id_t cat;
-	errno_t rc = loc_category_get_id("renderer", &cat, 0);
+	int rc = loc_category_get_id("renderer", &cat, 0);
 	if (rc != EOK)
 		return rc;
@@ -178,8 +178,8 @@
 }
 
-errno_t graph_unregister_visualizer(visualizer_t *vs)
+int graph_unregister_visualizer(visualizer_t *vs)
 {
 	fibril_mutex_lock(&visualizer_list_mtx);
-	errno_t rc = loc_service_unregister(vs->reg_svc_handle);
+	int rc = loc_service_unregister(vs->reg_svc_handle);
 	list_remove(&vs->link);
 	fibril_mutex_unlock(&visualizer_list_mtx);
@@ -188,8 +188,8 @@
 }
 
-errno_t graph_unregister_renderer(renderer_t *rnd)
+int graph_unregister_renderer(renderer_t *rnd)
 {
 	fibril_mutex_lock(&renderer_list_mtx);
-	errno_t rc = loc_service_unregister(rnd->reg_svc_handle);
+	int rc = loc_service_unregister(rnd->reg_svc_handle);
 	list_remove(&rnd->link);
 	fibril_mutex_unlock(&renderer_list_mtx);
@@ -219,8 +219,8 @@
 }
 
-errno_t graph_notify_mode_change(async_sess_t *sess, sysarg_t handle, sysarg_t mode_idx)
+int graph_notify_mode_change(async_sess_t *sess, sysarg_t handle, sysarg_t mode_idx)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
-	errno_t ret = async_req_2_0(exch, VISUALIZER_MODE_CHANGE, handle, mode_idx);
+	int ret = async_req_2_0(exch, VISUALIZER_MODE_CHANGE, handle, mode_idx);
 	async_exchange_end(exch);
 	
@@ -228,8 +228,8 @@
 }
 
-errno_t graph_notify_disconnect(async_sess_t *sess, sysarg_t handle)
+int graph_notify_disconnect(async_sess_t *sess, sysarg_t handle)
 {
 	async_exch_t *exch = async_exchange_begin(sess);
-	errno_t ret = async_req_1_0(exch, VISUALIZER_DISCONNECT, handle);
+	int ret = async_req_1_0(exch, VISUALIZER_DISCONNECT, handle);
 	async_exchange_end(exch);
 	
@@ -242,5 +242,5 @@
 {
 	vs->client_side_handle = IPC_GET_ARG1(*icall);
-	errno_t rc = vs->ops.claim(vs);
+	int rc = vs->ops.claim(vs);
 	async_answer_0(iid, rc);
 }
@@ -257,5 +257,5 @@
 	
 	/* Driver might also deallocate resources for the current mode. */
-	errno_t rc = vs->ops.yield(vs);
+	int rc = vs->ops.yield(vs);
 	
 	/* Now that the driver was given a chance to deallocate resources,
@@ -285,5 +285,5 @@
 		    list_get_instance(link, vslmode_list_element_t, link);
 		
-		errno_t rc = async_data_read_finalize(callid, &mode_elem->mode, len);
+		int rc = async_data_read_finalize(callid, &mode_elem->mode, len);
 		async_answer_0(iid, rc);
 	} else {
@@ -317,5 +317,5 @@
 	
 	if (mode_elem != NULL) {
-		errno_t rc = async_data_read_finalize(callid, &mode_elem->mode, len);
+		int rc = async_data_read_finalize(callid, &mode_elem->mode, len);
 		async_answer_0(iid, rc);
 	} else {
@@ -340,5 +340,5 @@
 	
 	if (vs->mode_set) {
-		errno_t rc = async_data_read_finalize(callid, &vs->cur_mode, len);
+		int rc = async_data_read_finalize(callid, &vs->cur_mode, len);
 		async_answer_0(iid, rc);
 	} else {
@@ -372,5 +372,5 @@
 	
 	if (mode_elem != NULL) {
-		errno_t rc = async_data_read_finalize(callid, &mode_elem->mode, len);
+		int rc = async_data_read_finalize(callid, &mode_elem->mode, len);
 		async_answer_0(iid, rc);
 	} else {
@@ -429,5 +429,5 @@
 	
 	void *new_cell_storage;
-	errno_t rc = async_share_out_finalize(callid, &new_cell_storage);
+	int rc = async_share_out_finalize(callid, &new_cell_storage);
 	if ((rc != EOK) || (new_cell_storage == AS_MAP_FAILED)) {
 		async_answer_0(iid, ENOMEM);
@@ -472,5 +472,5 @@
 	sysarg_t y_offset = (IPC_GET_ARG5(*icall) & 0x0000ffff);
 	
-	errno_t rc = vs->ops.handle_damage(vs,
+	int rc = vs->ops.handle_damage(vs,
 	    IPC_GET_ARG1(*icall), IPC_GET_ARG2(*icall),
 	    IPC_GET_ARG3(*icall), IPC_GET_ARG4(*icall),
@@ -481,5 +481,5 @@
 static void vs_suspend(visualizer_t *vs, ipc_callid_t iid, ipc_call_t *icall)
 {
-	errno_t rc = vs->ops.suspend(vs);
+	int rc = vs->ops.suspend(vs);
 	async_answer_0(iid, rc);
 }
@@ -487,5 +487,5 @@
 static void vs_wakeup(visualizer_t *vs, ipc_callid_t iid, ipc_call_t *icall)
 {
-	errno_t rc = vs->ops.wakeup(vs);
+	int rc = vs->ops.wakeup(vs);
 	async_answer_0(iid, rc);
 }
Index: uspace/lib/graph/graph.h
===================================================================
--- uspace/lib/graph/graph.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/graph/graph.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,5 +54,5 @@
 	 * Device driver shall allocate any necessary internal structures
 	 * specific for a claimed visualizer. */
-	errno_t (*claim)(struct visualizer *vs);
+	int (* claim)(struct visualizer *vs);
 	
 	/**
@@ -61,5 +61,5 @@
 	 * the mode is set and if so it shall change its internal state
 	 * accordingly (e.g. deallocate frame buffers). */
-	errno_t (*yield)(struct visualizer *vs);
+	int (* yield)(struct visualizer *vs);
 	
 	/**
@@ -72,5 +72,5 @@
 	 * optimization), the pointer to the handle_damage operation can be
 	 * changed at this point. */
-	errno_t (*change_mode)(struct visualizer *vs, vslmode_t new_mode);
+	int (* change_mode)(struct visualizer *vs, vslmode_t new_mode);
 	
 	/**
@@ -82,7 +82,7 @@
 	 * shall be added to the coordinates and if necessary the result shall be
 	 * wrapped around the edge of the backbuffer). */
-	errno_t (*handle_damage)(struct visualizer *vs,
+	int (* handle_damage)(struct visualizer *vs,
 	    sysarg_t x, sysarg_t y, sysarg_t width, sysarg_t height,
-	    sysarg_t x_offset, sysarg_t y_offset);
+		sysarg_t x_offset, sysarg_t y_offset);
 	
 	/**
@@ -90,10 +90,10 @@
 	 * case, device driver might enable power saving mode on the device
 	 * corresponding to the visualizer. */
-	errno_t (*suspend)(struct visualizer *vs);
+	int (* suspend)(struct visualizer *vs);
 	
 	/**
 	 * When upper layers detect activity on suspended visualizer, device
 	 * driver shall disable power saving mode on the corresponding device. */
-	errno_t (*wakeup)(struct visualizer *vs);
+	int (* wakeup)(struct visualizer *vs);
 } visualizer_ops_t;
 
@@ -290,5 +290,5 @@
  * list is guarded by the mutex, visualizers might be added even after the
  * initialialization of the device driver. */
-extern errno_t graph_register_visualizer(visualizer_t *);
+extern int graph_register_visualizer(visualizer_t *);
 
 /** 
@@ -301,5 +301,5 @@
  * from the driver visualizer list. Function shall be called by device driver
  * before deallocating the resources for the visualizer. */
-extern errno_t graph_unregister_visualizer(visualizer_t *);
+extern int graph_unregister_visualizer(visualizer_t *);
 
 /** 
@@ -310,7 +310,7 @@
 
 extern renderer_t *graph_alloc_renderer(void);
-extern errno_t graph_register_renderer(renderer_t *);
+extern int graph_register_renderer(renderer_t *);
 extern renderer_t *graph_get_renderer(sysarg_t);
-extern errno_t graph_unregister_renderer(renderer_t *);
+extern int graph_unregister_renderer(renderer_t *);
 extern void graph_destroy_renderer(renderer_t *);
 
@@ -321,5 +321,5 @@
  * callback connection that the visualizer with a specified service ID should
  * be switched to the mode with the given index. */
-extern errno_t graph_notify_mode_change(async_sess_t *, sysarg_t, sysarg_t);
+extern int graph_notify_mode_change(async_sess_t *, sysarg_t, sysarg_t);
 
 /**
@@ -327,5 +327,5 @@
  * callback connection that the visualizer with a specified service ID has
  * lost its output device (e.g. virtual monitor was closed by a user). */
-extern errno_t graph_notify_disconnect(async_sess_t *, sysarg_t);
+extern int graph_notify_disconnect(async_sess_t *, sysarg_t);
 
 /*----------------------------------------------------------------------------*/
Index: uspace/lib/gui/button.c
===================================================================
--- uspace/lib/gui/button.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/gui/button.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -174,5 +174,5 @@
 		btn->caption = str_dup(caption);
 	
-	errno_t rc = embedded_font_create(&btn->font, points);
+	int rc = embedded_font_create(&btn->font, points);
 	if (rc != EOK) {
 		free(btn->caption);
Index: uspace/lib/gui/label.c
===================================================================
--- uspace/lib/gui/label.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/gui/label.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -163,5 +163,5 @@
 		lbl->caption = str_dup(caption);
 	
-	errno_t rc = embedded_font_create(&lbl->font, points);
+	int rc = embedded_font_create(&lbl->font, points);
 	if (rc != EOK) {
 		free(lbl->caption);
